Skip to main content
POST
Demote a branch

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The name of the organization the branch belongs to

database
string
required

The name of the database the branch belongs to

branch
string
required

The name of the branch

Response

Returns a development branch

id
string
required

The ID of the branch

name
string
required

The name of the branch

created_at
string
required

When the branch was created

updated_at
string
required

When the branch was last updated

deleted_at
string | null
required

When the branch was deleted

restore_checklist_completed_at
string | null
required

When a user last marked a backup restore checklist as completed

schema_last_updated_at
string | null
required

When the schema for the branch was last updated

kind
enum<string>
required

The kind of branch

Available options:
mysql,
postgresql,
neki
state
enum<string>
required

The current state of the branch

Available options:
pending,
sleep_in_progress,
sleeping,
awakening,
ready
cluster_name
string
required

The SKU representing the branch's cluster size

cluster_iops
integer | null
required

IOPS for the cluster

ready
boolean
required

Whether or not the branch is ready to serve queries

metal
boolean
required

Whether or not this is a metal database

production
boolean
required

Whether or not the branch is a production branch

safe_migrations
boolean
required

Whether or not the branch has safe migrations enabled

deletion_protected
boolean
required

Whether deletion protection is enabled for the branch

sharded
boolean
required

Whether or not the branch is sharded

keyspace_count
integer
required

The number of keyspaces in the branch

stale_schema
boolean
required

Whether or not the branch has a stale schema

actor
object | null
required
restored_from_branch
object | null
required
private_edge_connectivity
boolean
required

True if private connections are enabled

has_replicas
boolean
required

True if the branch has replica servers

has_read_only_replicas
boolean
required

True if the branch has read-only replica servers

html_url
string
required

Planetscale app URL for the branch

url
string
required

Planetscale API URL for the branch

region
object
required
parent_branch
string | null
required

The name of the parent branch from which the branch was created

mysql_address
string | null

The MySQL address for the branch

mysql_edge_address
string | null

The address of the MySQL provider for the branch

direct_vtgate
boolean | null

True if the branch allows passwords to connect directly to a vtgate, bypassing load balancers

vtgate_size
string | null

The size of the vtgate cluster for the branch

vtgate_name
string | null

The public SKU representing the VTGate size

vtgate_count
integer | null

The number of vtgate instances in the branch

vtgate_autoscaling
boolean | null

Whether VTGate autoscaling is enabled

vtgate_max_count
integer | null

The maximum number of VTGate instances when autoscaling is enabled

vtgate_target_cpu_utilization
integer | null

The target CPU utilization for VTGate autoscaling

schema_ready
boolean | null

Whether or not the schema is ready for queries

shard_count
integer | null

The number of shards in the branch

vtgate_options
object | null

VTGate configuration options